FROM debian:bullseye as builder

# Install required packages
RUN apt-get update -q \
  && DEBIAN_FRONTEND=noninteractive apt-get install -yq --no-install-recommends \
      build-essential \
      autoconf \
      automake \
      autopoint \
      clang \
      zlib1g-dev \
      byacc \
      git \
      gcc \
      g++ \
      cmake \
      libclang-dev \
      libssl-dev \
      libyaml-dev \
      libffi-dev \
      libkrb5-dev \
      libreadline-dev \
      libgdbm-dev \
      libncurses5-dev \
      llvm-dev \
      make \
      bzip2 \
      curl \
      ca-certificates \
      locales \
      openssh-server \
      libcurl4-openssl-dev \
      libexpat1-dev \
      gettext \
      libz-dev \
      fakeroot \
      ccache \
      distcc \
      unzip \
      apt-transport-https \
      gnupg \
      pkg-config \
      python3

RUN echo "en_US.UTF-8 UTF-8" > /etc/locale.gen
RUN locale-gen en_US.UTF-8
ENV LANG en_US.UTF-8
ENV LANGUAGE en_US:en
ENV LC_ALL en_US.UTF-8

<%= Snippets.new(platform: 'arm64').populate %>

RUN apt-get purge -y cmake

FROM debian:bullseye
MAINTAINER GitLab Inc. <support@gitlab.com>
COPY --from=builder / /
